# pH-Calculator

This application is designed to calculate the pH value of a solution. It is aimed to be a user-friendly tool so that the
you can escape the process of searching tables for the dissociation constants, analyzing the property of the solution,
and finally calculating the pH value.

## Screenshots

![image](https://github.com/mizu-bai/pH-Calculator/raw/master/README.assets/screenshot.jpg)

## Which Solution Types are Supported

1. Single acid or base solution: monoprotic, diproticand, and triprotic; if an acid or base can provide or accept more
   than three protons, it will be dealt as triprotic acid or base;

2. Mixed solution: acid & acid, base & base, and acid & base;

3. Amphiprotic solution: amphiprotic salt, salt formed by weak acid and weak base, and amino acid;

4. Acid-base buffer solution: a solution contains a weak acid and its salt formed with another strong base, and vice
   versa.

## How to Input the Parameters of a Solution

You can input the parameters of a solution manually, including the dissociation constant value(s) and the concentration.
For dissolution constant, both `K` and `pK` are supported. When it comes to a polyprotic solution, input the dissolution
constants by order and it will work. For concentration `c`, the unit is mole per liter.

Also, a dissociation constant database is built in this app for you.
